<div class="page-content-wrapper">
  <!-- BEGIN CONTENT BODY -->
  <div class="page-content">
      <!-- BEGIN PAGE BREADCRUMB -->
      <div class="page-bar">
          <ul class="page-breadcrumb">
              <li>
                  <i class="icon-home"></i>
                  <a href="index.html">Home</a>
                  <i class="fa fa-angle-right"></i>
              </li>
              <li>
                  <span>New Test Post</span>
              </li>
          </ul>
          <div class="page-toolbar">
              
          </div>
      </div>
      <!-- END PAGE BREADCRUMB -->
      <!-- BEGIN PAGE BASE CONTENT -->
      <div class="row">
            <div class="col-md-12">
                <div class="portlet light bordered" id="form_wizard_1">
                    <div class="portlet-title">
                        <div class="caption">
                            <i class=" icon-layers font-red"></i>
                            <span class="caption-subject font-red bold uppercase"> Create Post Wizard -
                                <span class="step-title"> Step 1 of 4 </span>
                            </span>
                        </div>
                        <div class="actions">
                            
                        </div>
                    </div>
                    <div class="portlet-body form">
                        <form class="form-horizontal" action="#" id="submit_form" method="POST">
                            <div class="form-wizard">
                                <div class="form-body">
                                    <ul class="nav nav-pills nav-justified steps">
                                        <li class="done">
                                            <a href="#tab1" data-toggle="tab" class="step" (click)="OnMenuClick($event)">
                                                <span class="number"> 1 </span>
                                                <span class="desc">
                                                    <i class="fa fa-check"></i> Post Content </span>
                                            </a>
                                        </li>
                                        <li class="done">
                                            <a href="#tab2" data-toggle="tab" class="step" (click)="OnMenuClick($event)">
                                                <span class="number"> 2 </span>
                                                <span class="desc">
                                                    <i class="fa fa-check"></i> Image Description </span>
                                            </a>
                                        </li>
                                        <li class="active">
                                            <a href="#tab3" data-toggle="tab" class="step" (click)="OnMenuClick($event)">
                                                <span class="number"> 3 </span>
                                                <span class="desc">
                                                    <i class="fa fa-check"></i> Upload Images </span>
                                            </a>
                                        </li>
                                        <li>
                                            <a href="#tab4" data-toggle="tab" class="step" (click)="OnMenuClick($event)">
                                                <span class="number"> 4 </span>
                                                <span class="desc">
                                                    <i class="fa fa-check"></i> Confirm </span>
                                            </a>
                                        </li>
                                    </ul>
                                    <div id="bar" class="progress progress-striped" role="progressbar">
                                        <div class="progress-bar progress-bar-success" style="width:75%"> </div>
                                    </div>
                                    <div class="tab-content">
                                        <div class="alert alert-danger display-none">
                                            <button class="close" data-dismiss="alert"></button> You have some form errors. Please check below. </div>
                                        <div class="alert alert-success display-none">
                                            <button class="close" data-dismiss="alert"></button> Your form validation is successful! </div>
                                        <div class="tab-pane" id="tab1">
                                            <div class="form-group">
                                                <div class="col-md-12">
                                                    <label class=" control-label">Post Content:
                                                        <span class="required"> * </span>
                                                    </label>
                                                    <textarea class="form-control maxlength-handler" rows="12" name="product[meta_keywords]" maxlength="1000"></textarea>
                                                    <span class="help-block"> max 1000 chars </span>
                                                </div>
                                            </div>
                                            
        
                                        </div>
                                        <div class="tab-pane" id="tab2">
                                            <div class="form-group">
                                                    <div class="col-md-12">
                                                        <label class="control-label">Image Description:
                                                            <span class="required"> * </span>
                                                        </label>
                                                        <textarea class="form-control maxlength-handler" rows="12" name="product[meta_description]" maxlength="255"></textarea>
                                                        <span class="help-block"> max 255 chars </span>
                                                    </div>
                                            </div>
                                        </div>
                                        <div class="tab-pane active" id="tab3">
                                                <div class="alert alert-success margin-bottom-10 hide">
                                                <button type="button" class="close" data-dismiss="alert" aria-hidden="true"></button>
                                                <i class="fa fa-warning fa-lg"></i> Image type and information need to be specified. </div>

                                                <div id="tab_images_uploader_container" class="text-align-reverse margin-bottom-10" style="position: relative;">
                                                        <a id="tab_images_uploader_pickfiles" href="javascript:;" class="btn btn-success" style="position: relative; z-index: 1;" (click)="OnSelectFiles()">
                                                            <i class="fa fa-plus"></i> Select Files </a>
                                                        <a id="tab_images_uploader_uploadfiles" href="javascript:;" class="btn btn-primary" (click)="OnUploadFiles()">
                                                            <i class="fa fa-share"></i> Upload Files </a>
                                                </div>

                                                <div class="m-heading-1 border-green m-bordered hide">
                                                    <p>
                                                        <span class="label label-danger">NOTE:</span> &nbsp; This plugins works only on Latest Chrome, Firefox, Safari, Opera & Internet Explorer 10. </p>
                                                </div>
                                                <div class="dropzone dropzone-file-area" id="my-dropzone" style="width: auto; margin-top: 50px;" dropzone
                                                (hovered)="toggleHover($event)" (dropped)="onDrop($event)" [class.hovering]="isHovering">
                                                    <h3 class="sbold">Drop files here or click to upload</h3>
                                                    <p> Drag and Drop a File. </p>
                                                    <label class="file-label">
                                                        <input type="file" name="files[]" multiple="" (change)="startDisplay($event.target.files)" style="display:none;">
                                                        <span class="file-cta" #cta>
                                                            <span class="file-icon"><i class="fa fa-upload"></i></span><span class="file-label">or choose a file…</span>
                                                        </span>
                                                    </label>
                      
                                                    <div class="dropzone" style="border: 0px" #dz>
                                                        <displayimg [file]="file" *ngFor="let file of files"></displayimg>
                                                    </div>
                      
                                                 </div>
                                        </div>
                                        <div class="tab-pane" id="tab4">
                                            <h3 class="block">Confirm your account</h3>
                                            <h4 class="form-section">Account</h4>
                                            <div class="form-group">
                                                <label class="control-label col-md-3">Username:</label>
                                                <div class="col-md-4">
                                                    <p class="form-control-static" data-display="username"> </p>
                                                </div>
                                            </div>
                                            <div class="form-group">
                                                <label class="control-label col-md-3">Email:</label>
                                                <div class="col-md-4">
                                                    <p class="form-control-static" data-display="email"> </p>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="form-actions">
                                    <div class="row">
                                        <div class="col-md-offset-3 col-md-9">
                                            <a href="javascript:;" class="btn default button-previous" (click)="OnBack()">
                                                <i class="fa fa-angle-left"></i> Back </a>
                                            <a href="javascript:;" class="btn btn-outline green button-next" (click)="OnContinue()"> Continue
                                                <i class="fa fa-angle-right"></i>
                                            </a>
                                            <a href="javascript:;" class="btn green button-submit hide"> Submit
                                                <i class="fa fa-check"></i>
                                            </a>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
      <!-- END PAGE BASE CONTENT -->
  </div>
  <!-- END CONTENT BODY -->
</div>


